//+------------------------------------------------------------------+
//|                                               ExampleEncrypt.mq5 |
//|                                    Copyright 2015, Romeu bertho. |
//|                           https://www.mql5.com/pt/users/c4b3l3r4 |
//+------------------------------------------------------------------+
#property copyright "Copyright 2015, Romeu Bertho."
#property link      "https://login.mql5.com/en/users/c4b3l3r4"
#property version   "1.00"

#include <Bcrypt.mqh>

string txt="If u know someone, or have heard of someone who knows someone that may know someone who knows anyone... please let me know!";
CBcrypt B;
//+------------------------------------------------------------------+ 
//| Script program start function                                    | 
//+------------------------------------------------------------------+ 
void OnStart()
  {
  //--- First Way (take a look at the class for the default keys)
   B.SetData(txt);
   B.InitDefault();
   Print("1st way Bcrypt key = ",B.Encrypt());
   Print("1st way Bcrypt decoded data = ",B.Decrypt(B.Encrypt()));
   //--- Second Way
   B.Init("7E846B635877D53A2BD51B320D9453407E8F4C22C104E1E9481783A50FADD162",NULL,txt);
   Print("2nd way Bcrypt key = ",B.Encrypt());
   Print("2nd way Bcrypt decoded data = ",B.Decrypt(B.Encrypt()));
   //--- Third Way
   B.Init("7E846B635877D53A2BD51B320D9453407E8F4C22C104E1E9481783A50FADD162","Password",txt);
   Print("3rd way Bcrypt key = ",B.Encrypt());
   Print("3rd way Bcrypt decoded data = ",B.Decrypt(B.Encrypt()));
  }
//+------------------------------------------------------------------+
